---
- name: "Check if API endpoint exists for service {{ service }}"
  shell: "openstack --insecure endpoint list --service {{ service }}"
  register: check_endpoint_result
  ignore_errors: True
  run_once: True
  environment: "{{ admin_auth_env }}"

- name: "Specify API endpoints for {{ service }} service"
  shell: |
    openstack --insecure endpoint create --region {{ region }} {{ service }} public {{ endpoints.publicurl }}
    openstack --insecure endpoint create --region {{ region }} {{ service }} internal {{ endpoints.internalurl }}
    openstack --insecure endpoint create --region {{ region }} {{ service }} admin {{ endpoints.adminurl }}
  run_once: True
  when: check_endpoint_result.rc != 0
  environment: "{{ admin_auth_env }}"
